## org.apache.poi.ss.usermodel.charts
Interface ChartDataSource<T>

Type Parameters:
  `T` - type of points the data source contents

    @Beta
    public interface ChartDataSource<T>

Represents data model of the charts.

Author:
  Roman Kashitsyn

Method Summary
`java.lang.String` `getFormulaString()` Returns formula representation of the data source.
`T` `getPointAt(int index)` Returns point value at specified index.
`int` `getPointCount()` Return number of points contained by data source.
`boolean` `isNumeric()` Returns `true` if data source points should be treated as numbers.
`boolean` `isReference()` Returns `true` if charts data source is valid cell range.

Method Detail

### getPointCount

    int getPointCount()

  Return number of points contained by data source.

  Returns:
    number of points contained by data source

### getPointAt

    T getPointAt(int index)

  Returns point value at specified index.

  Parameters:
    `index` - index to value from
  Returns:
    point value at specified index.
  Throws:
    `{@code` - IndexOutOfBoundsException} if index parameter not in range `0 <= index <= pointCount`

### isReference

    boolean isReference()

  Returns `true` if charts data source is valid cell range.

  Returns:
    `true` if charts data source is valid cell range

### isNumeric

    boolean isNumeric()

  Returns `true` if data source points should be treated as numbers.

  Returns:
    `true` if data source points should be treated as numbers

### getFormulaString

    java.lang.String getFormulaString()

  Returns formula representation of the data source. It is only applicable for data source that is valid cell range.

  Returns:
    formula representation of the data source
  Throws:
    `{@code` - UnsupportedOperationException} if the data source is not a reference.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.